    ' $INCLUDE: 'OPNXME.BAS'
    ' $INCLUDE: 'OPNTEM.BAS'
     GET#5,1
     UP=CVS(UM5$)                                          ' ultimo mesero

      FOR I=1 TO UP
          GET#2,I
          IF ASC(F2$)=0 THEN
             NU$=NU2$:NU=VAL(NU$):GOSUB 2200               ' busca nombre
             IF ST=1 THEN
                PRINT USING "S #### #### ";I;UP;:PRINT NU$;"-";NC$;"-";NL$
             ELSE
                ' PRINT USING "N #### #### ";I;UP;:PRINT NU$;"-";SN2$"-";NL2$
             ENDIF
             ' W$=INPUT$(1)
             IF W$="C" THEN CLOSE:END
          ENDIF
      NEXT I
      BEEP
      CLOSE
      END

2200                                                       ' BUSCA NOMBRE
     OPEN "POS-B" FOR RANDOM ACCESS READ WRITE SHARED AS #30 LEN=512
     FIELD#30,512AS X30$

     IE=0
     ST=0                                                  ' registro
     XRC=19                                                ' registro empleado
     NC$=SPACE$(8)
     NL$=SPACE$(24)                                        ' nombre largo
2210 IF EOF(30) THEN                                       ' fin de archivo
        CLOSE#30                                            ' cierra
        RETURN                                             ' fin
     ENDIF
     IE=IE+1                                               ' incrementa reg
     GET#30,IE                                             ' accesa
     NU=VAL(MID$(X30$,1,2))                                ' numero de emp
     IF NU<>XRC THEN                                       ' son diferentes
        IE=IE+1                                            ' incrementa
        GOTO 2210                                          ' regresa
     ENDIF
     IF MID$(X30$,3,4)=NU$ THEN 
        NL$=MID$(X30$,23,24)                               ' nombre largo
        NC$=MID$(X30$,47, 8)                               ' nombre corto
        ST=1
        CLOSE#30
        RETURN
     ELSE
        IE=IE+1                                            ' incrementa
        GOTO 2210                                          ' regresa
     ENDIF
